package kr.co.vividnext.sodalive.live.room.info

import com.google.gson.annotations.SerializedName

data class GetRoomInfoResponse(
    @SerializedName("roomId") val roomId: Long,
    @SerializedName("title") val title: String,
    @SerializedName("notice") val notice: String,
    @SerializedName("coverImageUrl") val coverImageUrl: String,
    @SerializedName("channelName") val channelName: String,
    @SerializedName("rtcToken") val rtcToken: String,
    @SerializedName("rtmToken") val rtmToken: String,
    @SerializedName("managerId") val managerId: Long,
    @SerializedName("managerNickname") val managerNickname: String,
    @SerializedName("managerProfileUrl") val managerProfileUrl: String,
    @SerializedName("isFollowingManager") val isFollowingManager: Boolean,
    @SerializedName("participantsCount") val participantsCount: Int,
    @SerializedName("totalAvailableParticipantsCount") val totalAvailableParticipantsCount: Int,
    @SerializedName("speakerList") val speakerList: List<LiveRoomMember>,
    @SerializedName("listenerList") val listenerList: List<LiveRoomMember>,
    @SerializedName("managerList") val managerList: List<LiveRoomMember>,
    @SerializedName("donationRankingTop3UserIds") val donationRankingTop3UserIds: List<Long>,
    @SerializedName("isAvailableDonation") val isAvailableDonation: Boolean = false,
    @SerializedName("isPrivateRoom") val isPrivateRoom: Boolean,
    @SerializedName("password") val password: String? = null
)
